Name:           glite-lb-common
Version:        9.0.6
Release:        1%{?dist}
Summary:        gLite Logging and Bookkeeping common headers and library

Group:          System Environment/Libraries
License:        ASL 2.0
Url:            http://glite.cern.ch
Vendor:         EMI
Source:         http://scientific.zcu.cz/emi/emi.lb.common/%{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  c-ares-devel
BuildRequires:  chrpath
BuildRequires:  classads
BuildRequires:  classads-devel
BuildRequires:  cppunit-devel
BuildRequires:  expat
BuildRequires:  expat-devel
BuildRequires:  glite-jobid-api-cpp-devel
BuildRequires:  glite-jobid-api-c-devel
BuildRequires:  glite-lbjp-common-gss-devel
BuildRequires:  glite-lbjp-common-trio-devel
BuildRequires:  libtool
BuildRequires:  glite-lb-types
BuildRequires:  pkgconfig

%description
glite-lb-common is a package containing gLite LB common files shared by client
and daemons. This package contains the LB common library and all necessary
header
files.


%package        devel
Summary:        Development files for gLite L&B common library
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       glite-jobid-api-c-devel
Requires:       glite-lb-types
Requires:       glite-lbjp-common-gss-devel

%description    devel
This package contains development libraries and header files for gLite L&B
common library.


%prep
%setup -q


%build
/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=%{_prefix} --libdir=%{_lib} --project=emi --module lb.common
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make


%check
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make check


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -rf {} \;
find $RPM_BUILD_ROOT -name '*.a' -exec rm -rf {} \;
find $RPM_BUILD_ROOT -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc LICENSE project/ChangeLog
%{_libdir}/libglite_lb_common.so.16
%{_libdir}/libglite_lb_common.so.16.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/glite/
%dir %{_includedir}/glite/lb/
%{_includedir}/glite/lb/*
%{_libdir}/libglite_lb_common.so


%changelog
* Tue Mar 26 2013 CESNET Product Teams <emi-lb@metacentrum.cz> - 9.0.6-1
- automatically generated package
